org.apache.ignite.internal.processors.datastructures

## Interface GridCacheRemovable

All Known Subinterfaces:
  GridCacheAtomicLongEx, GridCacheAtomicReferenceEx<T>, GridCacheAtomicSequenceEx, GridCacheAtomicStampedEx<T,S>, GridCacheCountDownLatchEx, GridCacheLockEx, GridCacheSemaphoreEx

All Known Implementing Classes:
  GridCacheAtomicLongImpl, GridCacheAtomicReferenceImpl, GridCacheAtomicSequenceImpl, GridCacheAtomicStampedImpl, GridCacheCountDownLatchImpl, GridCacheLockImpl, GridCacheSemaphoreImpl

    public interface GridCacheRemovable

Provides callback for marking object as removed.

### Method Summary

Methods
`void` `needCheckNotRemoved()`
`boolean` `onRemoved()` Set status of data structure as removed.

### Method Detail

#### onRemoved

    boolean onRemoved()

Set status of data structure as removed.

Returns:
  Current status.

#### needCheckNotRemoved

    void needCheckNotRemoved()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017